org.encog.neural.neat.training

## Class NEATLinkGene

- java.lang.Object
- - org.encog.neural.neat.training.NEATBaseGene
  - - org.encog.neural.neat.training.NEATLinkGene

- All Implemented Interfaces:
    Serializable, Comparable<NEATBaseGene>

      public class NEATLinkGene
      extends NEATBaseGene
      implements Serializable

  Implements a NEAT link gene. This describes a way in which two neurons are linked. NeuroEvolution of Augmenting Topologies (NEAT) is a genetic algorithm for the generation of evolving artificial neural networks. It was developed by Ken Stanley while at The University of Texas at Austin. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NEATLinkGene()` Default constructor, used mainly for persistence.
    `NEATLinkGene(long fromNeuronID, long toNeuronID, boolean enabled, long innovationID, double weight)` Construct a NEAT link gene.
    `NEATLinkGene(NEATLinkGene other)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copy(NEATLinkGene gene)` Copy from another gene.
    `long` | `getFromNeuronID()`
    `long` | `getToNeuronID()`
    `double` | `getWeight()`
    `boolean` | `isEnabled()`
    `void` | `setEnabled(boolean e)`
    `void` | `setFromNeuronID(int i)` Set the from neuron id.
    `void` | `setToNeuronID(int i)` Set the to neuron id.
    `void` | `setWeight(double weight)` Set the weight of this connection.
    `String` | `toString()`

    - ### Methods inherited from class org.encog.neural.neat.training.NEATBaseGene

      `compareTo, getId, getInnovationId, setId, setInnovationId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NEATLinkGene

          public NEATLinkGene()

      Default constructor, used mainly for persistence.

    - #### NEATLinkGene

          public NEATLinkGene(long fromNeuronID,
                      long toNeuronID,
                      boolean enabled,
                      long innovationID,
                      double weight)

      Construct a NEAT link gene.
      Parameters:
        `fromNeuronID` - The source neuron.
        `toNeuronID` - The target neuron.
        `enabled` - Is this link enabled.
        `innovationID` - The innovation id.
        `weight` - The weight.

    - #### NEATLinkGene

          public NEATLinkGene(NEATLinkGene other)

  - ### Method Detail

    - #### copy

          public void copy(NEATLinkGene gene)

      Copy from another gene.
      Parameters:
        `gene` - The other gene.

    - #### getFromNeuronID

          public long getFromNeuronID()

      Returns:
        The from neuron id.

    - #### getToNeuronID

          public long getToNeuronID()

      Returns:
        The to neuron id.

    - #### getWeight

          public double getWeight()

      Returns:
        The weight of this connection.

    - #### setWeight

          public void setWeight(double weight)

      Set the weight of this connection.
      Parameters:
        `weight` - The connection weight.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setFromNeuronID

          public void setFromNeuronID(int i)

      Set the from neuron id.
      Parameters:
        `i` - The from neuron id.

    - #### setToNeuronID

          public void setToNeuronID(int i)

      Set the to neuron id.
      Parameters:
        `i` - The to neuron id.

    - #### isEnabled

          public boolean isEnabled()

      Returns:
        True, if this gene is enabled.

    - #### setEnabled

          public void setEnabled(boolean e)

      Parameters:
        `e` - True, if this gene is enabled.

Copyright © 2014. All Rights Reserved.